# Class AnimConfig

- Defined in src/data/battle-anims.ts:105

#####
Index

### Constructors

constructor

### Properties

frameTimedEvents
frames
graphic
hue
id
position

### Methods

getBackgroundResourceNames
getSoundResourceNames

## Constructors

### constructor

- new AnimConfig(source?): AnimConfig

- #### Parameters

  - `Optional` source: any

  #### Returns AnimConfig

  - Defined in src/data/battle-anims.ts:113

## Properties

### frameTimedEvents

frameTimedEvents: Map<number, AnimTimedEvent[]>

- Defined in src/data/battle-anims.ts:109

### frames

frames: AnimFrame[][]

- Defined in src/data/battle-anims.ts:108

### graphic

graphic: string

- Defined in src/data/battle-anims.ts:107

### hue

hue: number

- Defined in src/data/battle-anims.ts:111

### id

id: number

- Defined in src/data/battle-anims.ts:106

### position

position: number

- Defined in src/data/battle-anims.ts:110

## Methods

### getBackgroundResourceNames

- getBackgroundResourceNames(): string[]

- #### Returns string[]

  - Defined in src/data/battle-anims.ts:169

### getSoundResourceNames

- getSoundResourceNames(): string[]

- #### Returns string[]

  - Defined in src/data/battle-anims.ts:155